<?php
/**
 * TOP API: alibaba.alihealth.ent.yzw.auth.getdruginfo request
 * 
 * @author auto create
 * @since 1.0, 2025.09.11
 */
class AlibabaAlihealthEntYzwAuthGetdruginfoRequest
{
	/** 
	 * 批准文号
	 **/
	private $approvalLicenceNo;
	
	/** 
	 * 授权企业refEntId
	 **/
	private $authRefEntId;
	
	/** 
	 * 药品上市许可持有人的refEntId
	 **/
	private $authorizerRefEntId;
	
	/** 
	 * 页码
	 **/
	private $page;
	
	/** 
	 * 每页数量
	 **/
	private $pageSize;
	
	/** 
	 * 药品通用名
	 **/
	private $physicName;
	
	/** 
	 * 药品生产企业refEntId
	 **/
	private $produceRefEntId;
	
	/** 
	 * 查询企业id
	 **/
	private $refEntId;
	
	private $apiParas = array();
	
	public function setApprovalLicenceNo($approvalLicenceNo)
	{
		$this->approvalLicenceNo = $approvalLicenceNo;
		$this->apiParas["approval_licence_no"] = $approvalLicenceNo;
	}

	public function getApprovalLicenceNo()
	{
		return $this->approvalLicenceNo;
	}

	public function setAuthRefEntId($authRefEntId)
	{
		$this->authRefEntId = $authRefEntId;
		$this->apiParas["auth_ref_ent_id"] = $authRefEntId;
	}

	public function getAuthRefEntId()
	{
		return $this->authRefEntId;
	}

	public function setAuthorizerRefEntId($authorizerRefEntId)
	{
		$this->authorizerRefEntId = $authorizerRefEntId;
		$this->apiParas["authorizer_ref_ent_id"] = $authorizerRefEntId;
	}

	public function getAuthorizerRefEntId()
	{
		return $this->authorizerRefEntId;
	}

	public function setPage($page)
	{
		$this->page = $page;
		$this->apiParas["page"] = $page;
	}

	public function getPage()
	{
		return $this->page;
	}

	public function setPageSize($pageSize)
	{
		$this->pageSize = $pageSize;
		$this->apiParas["page_size"] = $pageSize;
	}

	public function getPageSize()
	{
		return $this->pageSize;
	}

	public function setPhysicName($physicName)
	{
		$this->physicName = $physicName;
		$this->apiParas["physic_name"] = $physicName;
	}

	public function getPhysicName()
	{
		return $this->physicName;
	}

	public function setProduceRefEntId($produceRefEntId)
	{
		$this->produceRefEntId = $produceRefEntId;
		$this->apiParas["produce_ref_ent_id"] = $produceRefEntId;
	}

	public function getProduceRefEntId()
	{
		return $this->produceRefEntId;
	}

	public function setRefEntId($refEntId)
	{
		$this->refEntId = $refEntId;
		$this->apiParas["ref_ent_id"] = $refEntId;
	}

	public function getRefEntId()
	{
		return $this->refEntId;
	}

	public function getApiMethodName()
	{
		return "alibaba.alihealth.ent.yzw.auth.getdruginfo";
	}
	
	public function getApiParas()
	{
		return $this->apiParas;
	}
	
	public function check()
	{
		
		RequestCheckUtil::checkNotNull($this->authRefEntId,"authRefEntId");
		RequestCheckUtil::checkNotNull($this->page,"page");
		RequestCheckUtil::checkNotNull($this->pageSize,"pageSize");
		RequestCheckUtil::checkNotNull($this->refEntId,"refEntId");
	}
	
	public function putOtherTextParam($key, $value) {
		$this->apiParas[$key] = $value;
		$this->$key = $value;
	}
}
